List brand mentions
curl --request GET \
--url https://api.social-api.ai/v1/accounts/{id}/mentions \
--header 'Authorization: <api-key>'import requests
url = "https://api.social-api.ai/v1/accounts/{id}/mentions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/accounts/{id}/mentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"data": [
{
"account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
"author": {
"avatar_url": "https://example.com/avatar.jpg",
"id": "17841405793187218",
"name": "Jane Smith",
"username": "janesmith"
},
"content": {
"media": [
{
"type": "image",
"url": "https://cdn.example.com/photo.jpg"
}
],
"text": "Love this product! Really glad I found it."
},
"conversation_id": "550e8400-e29b-41d4-a716-446655440000",
"id": "sapi_cmt_GXRM4BNTW7KFYSD3HAEV6QJZ2CLP9U",
"metadata": {},
"page_id": "550e8400-e29b-41d4-a716-446655440000",
"platform": "instagram",
"platform_post_id": "17895695668004550",
"post_id": "01HZ9X3Q4R5M6N7P8V2K0W1J42",
"received_at": "2026-02-15T14:30:00Z",
"recipient": {
"avatar_url": "https://example.com/avatar.jpg",
"id": "17841405793187218",
"name": "Jane Smith",
"username": "janesmith"
},
"type": "comment"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Mentions
List brand mentions
Fetches posts and stories where your brand account was mentioned or tagged. Results are sorted newest-first. Returns 501 for platforms that do not support mention tracking.
GET
/
accounts
/
{id}
/
mentions
List brand mentions
Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Connected account ID
Query Parameters
Return only items created after this timestamp (RFC3339)
Maximum number of results to return (1-100, default 20)
Pagination cursor returned by the previous response
⌘I